## dd2 0.2.2

=== debian/changelog ===
dd2 (0.2.2-5.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix FTBFS with GCC 15. (Closes: #1096512)

 -- Adrian Bunk <bunk@debian.org>  Sun, 21 Sep 2025 20:23:19 +0300

dd2 (0.2.2-5) unstable; urgency=medium

  * Team upload.
  * Switch to DebHelper 13
  * Update Standards-Version to 4.7.2

 -- Alexandre Detiste <tchet@debian.org>  Wed, 23 Apr 2025 15:06:36 +0200

dd2 (0.2.2-4) unstable; urgency=medium

  * Team upload.
  * Make build reproducible by removing dodgindiamond2 from dh_fixperms
    ignore list.
  * Update Standards-Version to 4.4.0:
    - drop obsolete menu file
    - declare that d/rules requires root, because it runs chgrp
  * Update debhelper compat level to 12
    - use debhelper-compat
    - drop dh-autoreconf build dependency
    - drop '--parallel' and '--with autoreconf' as they are default
  * Drop dh_auto_configure flags that are already default.
  * Point Vcs-* fields to salsa.
  * Switch URLs to https.

 -- Reiner Herrmann <reiner@reiner-h.de>  Sat, 10 Aug 2019 15:39:22 +0200

dd2 (0.2.2-3) unstable; urgency=medium

  * Team upload.
  * Add array-out-of-bounds.patch.
    Fix conflicting array sizes for variable "efx".
    Thanks to Michael Tautschnig for the report. (Closes: #748418)
  * Vcs-Browser: Use https.
  * Declare compliance with Debian Policy 3.9.6.
  * Update copyright years.
  * Resize dodgindiamond2.png to 128x128 pixel and install the image to the
    hicolor icon directory.

 -- Markus Koschany <apo@debian.org>  Mon, 02 Nov 2015 01:05:14 +0100

dd2 (0.2.2-2) unstable; urgency=low

  * Team upload.

  [ Paul Wise ]
  * Drop use of dh_desktop since it no longer does anything.

  [ Markus Koschany ]
  * Switch to package format 3.0 (quilt).
  * Bump compat level to 9 and require debhelper >=9 for automatic hardening
    build flags.
  * debian/control:
    - Update Standards-Version to 3.9.4, no changes needed.
    - Drop autoconf, automake and autotools-dev from Build-Depends. Instead use
      dh-autoreconf to reconfigure the whole build system during build time.
    - Use canonical Vcs-URI.
    - Drop quilt from Build-Depends because package format 3.0 uses quilt by
      default.
  * Update debian/copyright to copyright format 1.0.
  * dodgindiamond2.desktop: Update desktop file, add Keywords and Icon key.
  * Add longtitle and icon entry to menu file.
  * Add -e flag to maintainer scripts. Do not ignore possible errors.
  * debian/rules:
    - Simplify debian/rules by using dh sequencer.
    - Build with hardening=+all.
  * Add desktop and menu icons.
  * Add dep3 headers to all patches.

 -- Markus Koschany <apo@gambaru.de>  Thu, 28 Mar 2013 23:13:12 +0100

dd2 (0.2.2-1) unstable; urgency=low

  [ Barry deFreese ]
  * New maintainer (Closes: #453751).
    + Debian Games Team <pkg-games-devel@lists.alioth.debian.org>.
  * Add myself to uploaders.
  * New upstream release.
    + License bump to make it LGPLv3 compatible.
  * Make distclean not ignore errors.
  * Add watch file.
  * Add desktop file.
  * Change menu section from Arcade to Action.
  * Move config.{sub,guess} handling to configure target.
  * Bump debhelper build-dep and compat to 5.
  * Bump Standards Version to 3.7.3.
    + Menu policy transition.
  * Add quilt patching system.
    + Move source changes to patches:
      + 001_configure.patch - Automake init dodgindiamond2 not dd2.
      + 01_update_readme.patch - Remove cruft from upstream README.
      + 02_makefile_scores.patch - Install scores file in $(DESTDIR).
      + 03_hiscore_file.patch - Add real users (No idea why).
      + 04_hiscore_patches.patch - main.c and engine.h - path for hiscore file.
  * Add autoconf, automake build-deps to reconfigure on build.
  * Fix up debian/copyright.

 -- Barry deFreese <bddebian@comcast.net>  Thu, 13 Dec 2007 10:34:46 -0500

dd2 (0.2.1-3) unstable; urgency=low

  * Orphaning package, setting maintainer to the Debian QA Group.

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Wed, 05 Dec 2007 16:08:58 +0100

dd2 (0.2.1-2) unstable; urgency=low

  * Fix documentation in README. (Closes: #364205)
  * Add keyboard controls to manual page. (Closes: #364207)
  * I ARE USING TEH AM_MAINTAINER_MODE!!1!
    http://sam.zoy.org/lectures/20050910-debian/img21.html

 -- Gürkan Sengün <gurkan@linuks.mine.nu>  Sun, 23 Apr 2006 14:52:00 +0200

dd2 (0.2.1-1) unstable; urgency=low

  * Initial release. (Closes: #357415)

 -- Gürkan Sengün <gurkan@linuks.mine.nu>  Wed, 15 Mar 2006 07:39:02 +0100
