=== debian/control ===
Source: dd2
Section: games
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders:
 Barry deFreese <bddebian@comcast.net>,
Build-Depends:
 debhelper-compat (= 13),
 libsdl-gfx1.2-dev,
 libsdl-image1.2-dev,
 libsdl-mixer1.2-dev,
 libsdl1.2-dev,
Standards-Version: 4.7.2
Rules-Requires-Root: binary-targets
Homepage: https://www.usebox.net/jjm/dd2/
Vcs-Git: https://salsa.debian.org/games-team/dd2.git
Vcs-Browser: https://salsa.debian.org/games-team/dd2
X-Style: black

Package: dodgindiamond2
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: Little shoot-'em-up arcade game for one or two players
 This aims to be an old school arcade game with low resolution graphics,
 top-down scrolling action, energy based gameplay, and different weapons
 with several levels of power.
