=== debian/watch ===
version=4
https://www.usebox.net/jjm/dd2/ \
 .*/releases/dd2-([\d.]+)\.tar\.gz
